HIERA(1)

NAME
hiera - Lightweight Pluggable Hierarchical Database

SYNOPSIS

hiera [options]

DESCRIPTION

hiera is a simple pluggable hierarchical database.

OPTIONS

Mandatory arguments to long options are mandatory for short options too.

-V, --version
    Version information

-d, --debug
    Show debugging information

-a, --array
    Array search

-h, --hash
    Hash search

-c, --config CONFIG
    Configuration file

-j, --json SCOPE
    JSON format file to load scope from

-y, --yaml SCOPE
    YAML format file to load scope from

-m, --mcollective IDENTITY
    Retrieve facts from a node via mcollective as scope

-i, --inventory_service IDENTITY Retrieve facts for a node via Puppet's inventory service as scope

AUTHORS

hiera is a part of Puppet Hiera and developed by Puppet Labs <info@puppetlabs.com>, (R.I.Pienaar <rip@devco.net> respectively).

This man page was written by Patrick Ringl <patrick_@freenet.de> for the Debian GNU/Linux distribution (but it may also be used by others).